using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Filmverwaltung
{
    public partial class SuchForm : Form
    {
        FilmlisteForm Hauptprogramm;
        String suche = "";
        int i = 0;

        public SuchForm(FilmlisteForm H)
        {
            Hauptprogramm = H;
            InitializeComponent();
        }

        private void suchbutton_Click(object sender, EventArgs e)
        {
            suche = suchtextBox.Text;
            String fund = "Gefundene Filme:\n";
            i = 0;

            foreach (Film F in Hauptprogramm.Filme)
            {
//                if (F.titel.Contains(suche)) Hauptprogramm.GriedViwe_selectieren(i);
                String temp1 = F.titel.ToUpper();
                String temp2 = suche.ToUpper();
                if (F.titel.ToUpper().Contains(suche.ToUpper())) fund = fund + F.titel + "\n";
                i++;
            }
            //Hauptprogramm.FilmdataGridView.Rows[i].selected = true;
            MessageBox.Show(fund);
        }

        private void weitersuchbutton_Click(object sender, EventArgs e)
        {
            suche = suchtextBox.Text;
            foreach (Film F in Hauptprogramm.Filme)
            {
                if (F.titel.Contains(suche)) Hauptprogramm.GriedViwe_selectieren(i);
                i++;
            }
        }

        private void SuchForm_Shown(object sender, EventArgs e)
        {
            suchtextBox.ResetText();
            suchtextBox.Focus();
        }

        private void SuchForm_KeyDown(object sender, KeyEventArgs e)
        {
//            if Keys.Enter
            if (e.KeyCode == Keys.Return) this.suchbutton.PerformClick();
        }
    }
}